SSLHostConfigCertificate (Apache Tomcat 9.0.69 API Documentation)

Package org.apache.tomcat.util.net

## Class SSLHostConfigCertificate

- java.lang.Object
- - org.apache.tomcat.util.net.SSLHostConfigCertificate

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SSLHostConfigCertificate
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SSLHostConfigCertificate.Type` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static SSLHostConfigCertificate.Type` | `DEFAULT_TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSLHostConfigCertificate()` |
    `SSLHostConfigCertificate​(SSLHostConfig sslHostConfig, SSLHostConfigCertificate.Type type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCertificateChainFile()` |
    `java.lang.String` | `getCertificateFile()` |
    `java.lang.String` | `getCertificateKeyAlias()` |
    `java.lang.String` | `getCertificateKeyFile()` |
    `javax.net.ssl.X509KeyManager` | `getCertificateKeyManager()` |
    `java.lang.String` | `getCertificateKeyPassword()` |
    `java.security.KeyStore` | `getCertificateKeystore()` |
    `java.lang.String` | `getCertificateKeystoreFile()` |
    `java.lang.String` | `getCertificateKeystorePassword()` |
    `java.lang.String` | `getCertificateKeystoreProvider()` |
    `java.lang.String` | `getCertificateKeystoreType()` |
    `javax.management.ObjectName` | `getObjectName()` |
    `SSLContext` | `getSslContext()` |
    `SSLHostConfig` | `getSSLHostConfig()` |
    `SSLHostConfigCertificate.Type` | `getType()` |
    `void` | `setCertificateChainFile​(java.lang.String certificateChainFile)` |
    `void` | `setCertificateFile​(java.lang.String certificateFile)` |
    `void` | `setCertificateKeyAlias​(java.lang.String certificateKeyAlias)` |
    `void` | `setCertificateKeyFile​(java.lang.String certificateKeyFile)` |
    `void` | `setCertificateKeyManager​(javax.net.ssl.X509KeyManager certificateKeyManager)` |
    `void` | `setCertificateKeyPassword​(java.lang.String certificateKeyPassword)` |
    `void` | `setCertificateKeystore​(java.security.KeyStore certificateKeystore)` |
    `void` | `setCertificateKeystoreFile​(java.lang.String certificateKeystoreFile)` |
    `void` | `setCertificateKeystorePassword​(java.lang.String certificateKeystorePassword)` |
    `void` | `setCertificateKeystoreProvider​(java.lang.String certificateKeystoreProvider)` |
    `void` | `setCertificateKeystoreType​(java.lang.String certificateKeystoreType)` |
    `void` | `setObjectName​(javax.management.ObjectName oname)` |
    `void` | `setSslContext​(SSLContext sslContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TYPE

          public static final SSLHostConfigCertificate.Type DEFAULT_TYPE

  - ### Constructor Detail

    - #### SSLHostConfigCertificate

          public SSLHostConfigCertificate()

    - #### SSLHostConfigCertificate

          public SSLHostConfigCertificate​(SSLHostConfig sslHostConfig,
                                          SSLHostConfigCertificate.Type type)

  - ### Method Detail

    - #### getSslContext

          public SSLContext getSslContext()

    - #### setSslContext

          public void setSslContext​(SSLContext sslContext)

    - #### getSSLHostConfig

          public SSLHostConfig getSSLHostConfig()

    - #### getObjectName

          public javax.management.ObjectName getObjectName()

    - #### setObjectName

          public void setObjectName​(javax.management.ObjectName oname)

    - #### getType

          public SSLHostConfigCertificate.Type getType()

    - #### getCertificateKeyPassword

          public java.lang.String getCertificateKeyPassword()

    - #### setCertificateKeyPassword

          public void setCertificateKeyPassword​(java.lang.String certificateKeyPassword)

    - #### setCertificateKeyAlias

          public void setCertificateKeyAlias​(java.lang.String certificateKeyAlias)

    - #### getCertificateKeyAlias

          public java.lang.String getCertificateKeyAlias()

    - #### setCertificateKeystoreFile

          public void setCertificateKeystoreFile​(java.lang.String certificateKeystoreFile)

    - #### getCertificateKeystoreFile

          public java.lang.String getCertificateKeystoreFile()

    - #### setCertificateKeystorePassword

          public void setCertificateKeystorePassword​(java.lang.String certificateKeystorePassword)

    - #### getCertificateKeystorePassword

          public java.lang.String getCertificateKeystorePassword()

    - #### setCertificateKeystoreProvider

          public void setCertificateKeystoreProvider​(java.lang.String certificateKeystoreProvider)

    - #### getCertificateKeystoreProvider

          public java.lang.String getCertificateKeystoreProvider()

    - #### setCertificateKeystoreType

          public void setCertificateKeystoreType​(java.lang.String certificateKeystoreType)

    - #### getCertificateKeystoreType

          public java.lang.String getCertificateKeystoreType()

    - #### setCertificateKeystore

          public void setCertificateKeystore​(java.security.KeyStore certificateKeystore)

    - #### getCertificateKeystore

          public java.security.KeyStore getCertificateKeystore()
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setCertificateKeyManager

          public void setCertificateKeyManager​(javax.net.ssl.X509KeyManager certificateKeyManager)

    - #### getCertificateKeyManager

          public javax.net.ssl.X509KeyManager getCertificateKeyManager()

    - #### setCertificateChainFile

          public void setCertificateChainFile​(java.lang.String certificateChainFile)

    - #### getCertificateChainFile

          public java.lang.String getCertificateChainFile()

    - #### setCertificateFile

          public void setCertificateFile​(java.lang.String certificateFile)

    - #### getCertificateFile

          public java.lang.String getCertificateFile()

    - #### setCertificateKeyFile

          public void setCertificateKeyFile​(java.lang.String certificateKeyFile)

    - #### getCertificateKeyFile

          public java.lang.String getCertificateKeyFile()